# -*- rpm-spec -*-
# $Id: tcl-img,v 1.7 2004/11/03 16:15:02 me Exp $

%define teaname img
%define snapshot 20040818
%define major 1.3

Name: tcl-%teaname
Version: %major.0
Release: alt2

Summary: Tcl Image Formats (Img)
License: BSD
Group: Development/Tcl
Url: http://purl.oclc.org/net/nijtmans/

Provides: %teaname = %version-%release
Obsoletes: %teaname

%ifdef snapshot
Source0: %name-%snapshot.tar.bz2
%else
Source0: http://download.sourceforge.net/%teaname/%teaname%version.tar.bz2
%endif

Patch0: %name-%snapshot-alt-syslibs.patch
Patch1: %name-%snapshot-alt-tea.patch

BuildRequires: autoconf_2.13 libjpeg-devel libpng3-devel libtiff-devel zlib-devel
BuildRequires: tk-devel >= 8.4.0-alt1 rpm-build >= 4.0.4-alt41

%description
%name is a Tk enhancement, adding support for many other Image formats:
BMP, XBM, XPM, GIF, PNG, JPEG, TIFF, postscript and others.

%prep
%setup -q %{?snapshot:-c}%{!?snapshot:-n %teaname%version}
%patch0 -p0
%patch1 -p0
%set_autoconf_version 2.13
find . -name configure.in |while read f; do
        (cd "${f%/*}" && [ configure.in -nt configure ] && autoconf)
done

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
for h in jpeg png tiff; do
%__grep -v ^\# %buildroot%_tcldatadir/${h}tcl*/pkgIndex.tcl \
	>> %buildroot%_tcldatadir/tkimg${h}%major/pkgIndex.tcl
done
%__rm -rf %buildroot%_tcldatadir/{jpeg,png,tiff}tcl*
# not yet
find %buildroot '(' -path \*%_includedir/\* -o -path \*%_libdir/\*.sh \
	-o -path \*%_libdir/\*.a ')' -delete

%files
%doc doc/*
%_tcllibdir/*.so
%_tcldatadir/*

%changelog
* Wed Nov  3 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.3.0-alt2
- rebuilt against new shiny tcl reqprov finder

* Sun Sep 26 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.3.0-alt1
- new major release
- built with system libjpeg, libpng, libtiff

* Tue Oct  1 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.2.4-alt1
- name changed
- rebuilt with tcl 8.4

